import request from '@/utils/request'

// 查询护理站耗材信息列表
export function listStationConsumable(query) {
    return request({
        url: '/system/stationConsumable/list',
        method: 'get',
        params: query
    })
}


// 查询护理站信息列表
export function list(query) {
    return request({
        url: '/system/station/list',
        method: 'get',
        params: query
    })
}

// 查询护理站耗材信息详细
export function getStationConsumable(id) {
    return request({
        url: '/system/stationConsumable/' + id,
        method: 'get'
    })
}

// 新增护理站耗材信息
export function addStationConsumable(data) {
    return request({
        url: '/system/stationConsumable/add',
        method: 'post',
        data: data
    })
}

// 修改护理站耗材信息
export function updateStationConsumable(data) {
    return request({
        url: '/system/stationConsumable/edit',
        method: 'post',
        data: data
    })
}

// 删除护理站耗材信息
export function delStationConsumable(id) {
    return request({
        url: '/system/stationConsumable/' + id,
        method: 'delete'
    })
}